<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/sqlhelper.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Gbook;

class GbookSql {
    public function getConfQuery() {
        return "SELECT * FROM ".DB_GB_SETTINGS." LIMIT 0,1";
    }

    public function getGbookQuery(array $filters = []) {
        return "SELECT *
            FROM ".DB_GUESTBOOK."
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }

    public function getLogQuery(array $filters = []) {
        return "SELECT *
            FROM ".DB_GB_LOG."
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
}
