<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Admin Settings
\PHPFusion\Admins::getInstance()->setAdminPageIcons("GBOK", "<i class='admin-ico fa fa-fw fa-book'></i>");

// Paths
const GBOOK_PATH = INFUSIONS.'fh_guest_book/';

// Database
const DB_GUESTBOOK = DB_PREFIX."guestbook";
const DB_GB_LOG = DB_PREFIX."guestbook_log";
const DB_GB_SETTINGS = DB_PREFIX."guestbook_settings";

// Locales
if (!defined("GBOOK_LOCALE")) {
    if (file_exists(INFUSIONS."fh_guest_book/locale/".LOCALESET."guestbook.php")) {
        define("GBOOK_LOCALE", INFUSIONS."fh_guest_book/locale/".LOCALESET."guestbook.php");
    } else {
        define("GBOOK_LOCALE", INFUSIONS."fh_guest_book/locale/English/guestbook.php");
    }
}
