<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: bonus.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if (!function_exists('displayGbookForm')) {
    function displayGbookForm($info) {
        $locale = fusion_get_locale();
        if (!empty($info)) {
            opentable("<i class='fa fa-book fa-lg m-r-10'></i>".$locale['GBOK_010']);
            echo openform('gbookform', 'post', FUSION_REQUEST);
            echo $info['gbname'];
            echo $info['gbemail'];
            echo $info['gbweburl'];
            echo $info['gbwebtitle'];
            echo $info['gbmessage'];
            if (iGUEST) {
                echo "<div class='row'>
                    <div class='col-xs-12 col-sm-6'>".$info['captcha']."</div>
                    <div class='col-xs-12 col-sm-6'>".$info['captcha_code']."</div>
                </div>";
            }
            echo $info['gbsubmit'];
            closeform();
            closetable();
        }
    }
}

if (!function_exists('displayGbook')) {
    function displayGbook($info) {
        $locale = fusion_get_locale();
        opentable("<i class='fa fa-book fa-lg m-r-10'></i>".$locale['GBOK_010']);

        if (empty($info['flood'])) {
            echo "<div class='panel-body'>";
            echo "<div class='pull-right'><a class='btn btn-sm btn-success' href='".GBOOK_PATH."guestbook.php?action=new_message'><i class='fa fa-plus m-r-10'></i>".$locale['GBOK_012']."</a></div>";
            echo "</div>";
        }

        if (!empty($info['data'])) {
        	$i = 1;
            foreach ($info['data'] as $newid => $newdata) {
                opentable($newdata['gb_name']);
                $html = '';
                if (iADMIN) {
                    if (!empty($info['email'])) {
                        $html .= "<td class='text-center'>".$newdata['gb_email']."</td>";
                        $i++;
                    }
                    if ($newdata['gb_ip'] != "0.0.0.0") {
                        $html .= "<td class='text-center'>".$locale['GBOK_118'].': '.$newdata['gb_ip']."</td>\n";
                        $i++;
                    }
                }
                $html .= "<td class='text-center'>".showdate($locale['GBOK_00D'], $newdata['gb_datestamp'])."</td>";
                if (iADMIN) {
                    $html .= "<td class='text-center'>";
                    if ($newdata['gb_show'] == 0) {
                        $html .= "<a href='".GBOOK_PATH."admin.php".fusion_get_aidlink()."&section=publish&action=activate&gb_id=".$newdata['gb_id']."'><b>".$locale['publish']."</b></a>&nbsp;|&nbsp;";
                    } else {
                        $html .= "<a href='".GBOOK_PATH."admin.php".fusion_get_aidlink()."&section=publish&action=unpublish&gb_id=".$newdata['gb_id']."'>".$locale['GBOK_114']."</a>&nbsp;|&nbsp;";
                    }
                    $html .= "<a href='".GBOOK_PATH."admin.php".fusion_get_aidlink()."&section=publish&action=edit&gb_id=".$newdata['gb_id']."'>".$locale['edit']."</a>&nbsp;|&nbsp;
                    <a href='".GBOOK_PATH."admin.php".fusion_get_aidlink()."&section=publish&action=delete&del_id=".$newdata['gb_id']."' onclick=\"return confirm('".$locale['GBOK_123']."');\">".$locale['delete']."</a></td>\n";
                    $i++;
                }

                echo "<div class='table-responsive m-t-20'><table class='table table-hover table-striped'>";
                echo "<tr>";
                echo "<td colspan='".$i."'>".parse_textarea($newdata['gb_message'], TRUE, TRUE, FALSE, NULL, TRUE)."</td>";
                echo "</tr>";
                echo "<tr>";
                echo $html;
                echo "</tr></table></div>";
                closetable();
            }
        }
        if (empty($info['maxrows'])) {
            echo "<div class='text-center'>".$locale['GBOK_011']."</div>";
        }

        if (!empty($info['data']['pagenav'])) {
            echo "<div class='spacer-sm'><div class='pull-right'>".$info['data']['pagenav']."</div></div>";
        }
        closetable();
    }
}
